<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Claves
 *
 * @ORM\Table(name="claves")
 * @ORM\Entity
 */
class Claves
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cla", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCla;

    /**
     * @var string
     *
     * @ORM\Column(name="folio", type="string", length=20, nullable=false)
     */
    private $folio;

    /**
     * @var boolean
     *
     * @ORM\Column(name="estatus", type="boolean", nullable=false)
     */
    private $estatus;

    /**
     * @var string
     *
     * @ORM\Column(name="motivo", type="string", length=200, nullable=false)
     */
    private $motivo;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;



    /**
     * Get ideCla
     *
     * @return integer
     */
    public function getIdeCla()
    {
        return $this->ideCla;
    }

    /**
     * Set folio
     *
     * @param string $folio
     *
     * @return Claves
     */
    public function setFolio($folio)
    {
        $this->folio = $folio;
    
        return $this;
    }

    /**
     * Get folio
     *
     * @return string
     */
    public function getFolio()
    {
        return $this->folio;
    }

    /**
     * Set estatus
     *
     * @param boolean $estatus
     *
     * @return Claves
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return boolean
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set motivo
     *
     * @param string $motivo
     *
     * @return Claves
     */
    public function setMotivo($motivo)
    {
        $this->motivo = $motivo;
    
        return $this;
    }

    /**
     * Get motivo
     *
     * @return string
     */
    public function getMotivo()
    {
        return $this->motivo;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Claves
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }
}
